package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Btdgrp extends AbstractCommonVo {

    //Document Amount for 2nd Ben.
    private BigDecimal be2amt = Decimals.ZERO_SCALE3;
    //Additional Amount for 2nd Ben.

    private  BigDecimal be2amt2 = Decimals.ZERO_SCALE3;

    private BtdVo rec;

    private BttVo blk;

    private BtacbsVo cbs;

    private PtsptaVo prp;

    private PtsptaVo oth;

    private PtsptaVo be1;

    private PtsptaVo be2;

    private PtsptaVo prb;

    private PtsptaVo acb;

    private PtsptaVo iss;

    private PtsptaVo rmt;

    private PtsptaVo oap;

    private PtsptaVo rmb;

    private PtsptaVo avb;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new BtdVo();
        }
        if (blk == null) {
            blk = new BttVo();
        }
        if (cbs == null) {
            cbs = new BtacbsVo();
        }
        cbs.reset();
        if (prp == null) {
            prp = new PtsptaVo();
        }
        prp.reset();
        if (oth == null) {
            oth = new PtsptaVo();
        }
        oth.reset();
        if (be1 == null) {
            be1 = new PtsptaVo();
        }
        be1.reset();
        if (be2 == null) {
            be2 = new PtsptaVo();
        }
        be2.reset();
        if (prb == null) {
            prb = new PtsptaVo();
        }
        prb.reset();
        if (acb == null) {
            acb = new PtsptaVo();
        }
        acb.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (rmt == null) {
            rmt = new PtsptaVo();
        }
        rmt.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (avb == null) {
            avb = new PtsptaVo();
        }
        avb.reset();
    }
}
